package com.sifang.modules.supply.warehouse.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_supply_inventory_order")
public class CrmSupplyInventoryOrder implements Serializable {
    private String id;

    private String code;

    private String warehouseId;

    private String warehouseName;

    private String inventoryType;

    private String inventoryObjectId;

    private String inventoryObjectName;

    private String remarks;

    private BigDecimal amount;

    private BigDecimal differenceAmount;

    private String img;

    private String status;

    private Date createTime;

    private String inventoryId;

    private String inventoryName;

    private Date inventoryTime;

    private String auditBy;

    private String auditName;

    private Date auditTime;

    private String reasonsForFailure;

    private String processInstanceId;
    private String taskId;
    private String taskName;
    private String processDefId;

    private String departmentId;
    private String departmentName;
    private String kingDeeId;

    private String operateUserIds;


    public String getOperateUserIds() {
        return operateUserIds;
    }

    public void setOperateUserIds(String operateUserIds) {
        this.operateUserIds = operateUserIds;
    }

    public String getKingDeeId() {
        return kingDeeId;
    }

    public void setKingDeeId(String kingDeeId) {
        this.kingDeeId = kingDeeId;
    }

    public String getProcessDefId() {
        return processDefId;
    }

    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getInventoryType() {
        return inventoryType;
    }

    public void setInventoryType(String inventoryType) {
        this.inventoryType = inventoryType;
    }

    public String getInventoryObjectId() {
        return inventoryObjectId;
    }

    public void setInventoryObjectId(String inventoryObjectId) {
        this.inventoryObjectId = inventoryObjectId;
    }

    public String getInventoryObjectName() {
        return inventoryObjectName;
    }

    public void setInventoryObjectName(String inventoryObjectName) {
        this.inventoryObjectName = inventoryObjectName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getDifferenceAmount() {
        return differenceAmount;
    }

    public void setDifferenceAmount(BigDecimal differenceAmount) {
        this.differenceAmount = differenceAmount;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getInventoryId() {
        return inventoryId;
    }

    public void setInventoryId(String inventoryId) {
        this.inventoryId = inventoryId;
    }

    public String getInventoryName() {
        return inventoryName;
    }

    public void setInventoryName(String inventoryName) {
        this.inventoryName = inventoryName;
    }

    public Date getInventoryTime() {
        return inventoryTime;
    }

    public void setInventoryTime(Date inventoryTime) {
        this.inventoryTime = inventoryTime;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getReasonsForFailure() {
        return reasonsForFailure;
    }

    public void setReasonsForFailure(String reasonsForFailure) {
        this.reasonsForFailure = reasonsForFailure;
    }

    @Override
    public String toString() {
        return "CrmSupplyInventoryOrder{" +
                "id='" + id + '\'' +
                ", code='" + code + '\'' +
                ", warehouseId='" + warehouseId + '\'' +
                ", warehouseName='" + warehouseName + '\'' +
                ", inventoryType='" + inventoryType + '\'' +
                ", inventoryObjectId='" + inventoryObjectId + '\'' +
                ", inventoryObjectName='" + inventoryObjectName + '\'' +
                ", remarks='" + remarks + '\'' +
                ", amount=" + amount +
                ", differenceAmount=" + differenceAmount +
                ", img='" + img + '\'' +
                ", status='" + status + '\'' +
                ", createTime=" + createTime +
                ", inventoryId='" + inventoryId + '\'' +
                ", inventoryName='" + inventoryName + '\'' +
                ", inventoryTime=" + inventoryTime +
                ", auditBy='" + auditBy + '\'' +
                ", auditName='" + auditName + '\'' +
                ", auditTime=" + auditTime +
                ", reasonsForFailure='" + reasonsForFailure + '\'' +
                '}';
    }
}
